﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DateDiff.DateDiff
{
    /// <summary>
    /// Date difference calculation by using DateTime class of .NET framework.
    /// </summary>
    class DateDiffDotnetLib : IDateDiff
    {
        public DateDiffDotnetLib(int y1, int m1, int d1, int y2, int m2, int d2) :
            base(y1, m1, d1, y2, m2, d2)
        {
            /* empty, see base constructor */
        }

        public override int GetDifference()
        {
            TimeSpan diff = new DateTime(yearSubsequent, monthSubsequent, daySubsequent) -
                            new DateTime(yearPreceding, monthPreceding, dayPreceding);
            return diff.Days * (IsDate1AfterDate2 ? -1 : 1);
        }
    }
}
